Vizitown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
vizitown_plugin.vt_as_app.AppServer Class Reference

ViziTown Application Server Use a cyclone server as backend Unherited QObject. More...

Inheritance diagram for vizitown_plugin.vt_as_app.AppServer:
Collaboration diagram for vizitown_plugin.vt_as_app.AppServer:

## Public Member Functions
def | __init__
| Constructor. More...
def | start
| start method Launch the application server QObject More...
def | stop
| stop method Stop the application server and clean the import modules QObject More...
def | yield_thread
| yield_thread method Yied application server thread to not hang the GUI QObject More...

## Public Attributes
| rollbackImporter
| appThread
| timer
| saveStdout
| saveStderr

## Detailed Description

ViziTown Application Server Use a cyclone server as backend Unherited QObject.

## Constructor & Destructor Documentation

def vizitown_plugin.vt_as_app.AppServer.__init__ | ( |  | self,
|  |  | parent
| ) |  |

Constructor.

Parameters

  parent | the QObject parent

## Member Function Documentation

def vizitown_plugin.vt_as_app.AppServer.start | ( |  | self) |  |

start method Launch the application server QObject

def vizitown_plugin.vt_as_app.AppServer.stop | ( |  | self) |  |

stop method Stop the application server and clean the import modules QObject

def vizitown_plugin.vt_as_app.AppServer.yield_thread | ( |  | self) |  |

yield_thread method Yied application server thread to not hang the GUI QObject

## Member Data Documentation

vizitown_plugin.vt_as_app.AppServer.appThread

vizitown_plugin.vt_as_app.AppServer.rollbackImporter

vizitown_plugin.vt_as_app.AppServer.saveStderr

vizitown_plugin.vt_as_app.AppServer.saveStdout

vizitown_plugin.vt_as_app.AppServer.timer

The documentation for this class was generated from the following file:

- vt_as_app.py